import request from '@/utils/request'

const baseUrl = import.meta.env.VITE_APP_BASE_API
// 查询发版通知公告列表
export function listNotification(query) {
  return request({
    url: baseUrl+'/business/notification/list',
    method: 'get',
    params: query
  })
}

// 查询发版通知公告详细
export function getNotification(id) {
  return request({
    url: baseUrl+'/business/notification/' + id,
    method: 'get'
  })
}

// 新增发版通知公告
export function addNotification(data) {
  return request({
    url: baseUrl+'/business/notification',
    method: 'post',
    data: data
  })
}

// 修改发版通知公告
export function updateNotification(data) {
  return request({
    url: baseUrl+'/business/notification',
    method: 'put',
    data: data
  })
}

// 删除发版通知公告
export function delNotification(id) {
  return request({
    url: baseUrl+'/business/notification/' + id,
    method: 'delete'
  })
}
